python-popcon_1.3_all.deb


Advertisement

Description

python-popcon - Python interface to Debian's Popularity Contest (popcon)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-popcon
Package version 1.3
Package architecture all
Package type deb
Installed size 22 B
Download size 4.75 KB
Official Mirror archive.ubuntu.com
This package provides the popcon module, which allows to query Debian's
Popularity Contest data.

Alternatives

Package Version Architecture Repository
python-popcon_1.3_all.deb 1.3 all Ubuntu Universe
python-popcon - - -

Requires

Name Value
python-xdg -
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Binary Package python-popcon_1.3_all.deb
Source Package python-popcon

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-popcon deb package:
    # sudo apt-get install python-popcon

Files

Path
/usr/lib/python2.7/dist-packages/popcon.py
/usr/lib/python2.7/dist-packages/python_popcon-1.3.egg-info
/usr/share/doc/python-popcon/changelog.gz
/usr/share/doc/python-popcon/copyright

Changelog

2015-08-24 - Bastian Venthur <venthur@debian.org>
python-popcon (1.3) unstable; urgency=medium
* Provide Python3 module
2015-08-24 - Bastian Venthur <venthur@debian.org>
python-popcon (1.2) unstable; urgency=medium
* Fix previous NMU "FTBFS: Missing Build-Depends on python"
(Closes: #796649)
* Bumped standards version
2015-08-22 - Matthias Klose <doko@debian.org>
python-popcon (1.1+nmu1) unstable; urgency=medium
* Non-maintainer upload.
* Build using dh-python. Closes: #786119.
2011-07-28 - Bastian Venthur <venthur@debian.org>
python-popcon (1.1) unstable; urgency=low
* Added patches by chrysn:
- use namedtuple in python version that support it
- use XDG_CACHE_HOME instead of ~/.popcon-cache
- filebased timestamping
- modernize deprecated use of has_key
- module level data caching
- atomic file creation
* Add ${python:Depends} to Depends (closes: #627694).
2010-08-17 - Bastian Venthur <venthur@debian.org>
python-popcon (1.0) unstable; urgency=low
* Initial Release.

See Also

Package Description
python-poppler-qt4_0.24.0-1build1_amd64.deb Python binding to Poppler-Qt4 C++ library (Python 2)
python-poppler_0.12.1-8.1_amd64.deb Poppler Python bindings
python-portalocker_0.5.5-1_all.deb easy API to file locking (Python 2)
python-poster_0.8.1-0.2_all.deb Python support for HTTP multipart PUT/POST
python-potr_1.0.1-1.1_all.deb Pure Python implementation of the OTR protocol
python-power_1.3+dfsg-1_all.deb Python module to get get power and battery status (Python 2)
python-powerline-doc_2.3-1_all.deb powerline documentation
python-powerline_2.3-1_all.deb powerline python2 library
python-pp_1.6.4-2_all.deb parallel and distributed programming toolkit for Python
python-pqueue_0.2-7.2_amd64.deb a priority queue extension for Python
python-praw_3.3.0-1_all.deb Python Reddit API Wrapper (Python 2 version)
python-prctl_1.1.1-1.2_amd64.deb Python interface to the prctl() syscall
python-preggy_1.1.3-1_all.deb Assertion library for Python
python-prelude_1.0.0-11.7ubuntu1_amd64.deb Security Information Management System [ Base library ]
python-preludedb_1.0.0-2.3ubuntu4_amd64.deb Security Information Management System [ Base library ]
Advertisement
Advertisement